## ros-melodic-mecanum-gazebo-plugin 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mecanum_gazebo_plugin)

find_package(catkin REQUIRED COMPONENTS rosconsole roslint)
find_package(gazebo)

catkin_package(
  #  LIBRARIES mecanum_gazebo_plugin
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

#add_library(${PROJECT_NAME} src/mecanum_plugin)
#target_link_libraries(${PROJECT_NAME}
#  ${catkin_LIBRARIES}
#  ${GAZEBO_LIBRARIES}
#)

# roslint_cpp()
# roslint_add_test()

#install(TARGETS ${PROJECT_NAME}
#  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
#)

=== debian/changelog ===
ros-melodic-mecanum-gazebo-plugin (0.1.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-melodic-mecanum-gazebo-plugin (0.1.0-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 22 Jul 2019 04:00:00 -0000

ros-melodic-mecanum-gazebo-plugin (0.0.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 26 Apr 2018 04:00:00 -0000

ros-melodic-mecanum-gazebo-plugin (0.0.2-1bionic) bionic; urgency=high

  * Disabled tests for mecanum_gazebo_plugin.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 May 2017 04:00:00 -0000

ros-melodic-mecanum-gazebo-plugin (0.0.1-1bionic) bionic; urgency=high

  * Rewound version numbers and removed changes logs.
  * Disable building plugin (only works on Gazebo 5).
  * Remove experimental std::abs call from geometry.
  * Parameterize roller friction, add gazebo_ros_control PID gains.
  * Add some specific TODO callouts.
  * Remove assignment from within if-condition.
  * Remove unused header.
  * Fix linter warnings.
  * Add roslint.
  * Use M_PI, remove extra line.
  * Fix url in package.xml
  * Fix indentation, add license.
  * Remove unnecessary build stuff.
  * Add roller angle parameter.
  * Skeleton of a mecanum gazebo plugin.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 25 May 2016 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-mecanum-gazebo-plugin
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), gazebo9, ros-melodic-catkin, ros-melodic-rosconsole, ros-melodic-roslint
Homepage: http://wiki.ros.org/mecanum_gazebo_plugin
Standards-Version: 3.9.2

Package: ros-melodic-mecanum-gazebo-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo9, ros-melodic-rosconsole
Description: Plugin which uses directional friction to simulate mecanum wheels.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mecanum-gazebo-plugin//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
